uniform samplerCube EnvMap;
uniform samplerCube EnvMap2;
uniform float interp;

varying vec3 ReflectDir;
varying vec3 Normal;

void main()
{

    vec3 envColor  = vec3(textureCube(EnvMap , ReflectDir));
    vec3 envColor2 = vec3(textureCube(EnvMap2, ReflectDir));

    float dotp = dot(vec3(0.0, 0.0, 1.0), Normal);

    gl_FragColor = vec4(envColor*interp*dotp + envColor2*(1.0-interp)*dotp, 0.0); 
}
